List Components
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/componentsimport requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/components', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
],
"pagination": {
"limit": 123,
"lastKey": "<string>"
}
}Components
List Components
Retrieve a paginated list of components
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
components
List Components
Query Parameters
Items per page
Cursor for pagination (from previous response)
Filter by component type:
view or layoutSearch term for name
Semantic search query
Include component assets inline in the response
Response
Array of component objects
Example Response
{
"data": [
{
"id": "c123",
"name": "ArticleLayout",
"title": "Article Layout",
"description": "Standard article layout...",
"type": "layout",
"status": "published",
"version": 3,
"lastPublishedVersion": 3,
"content": "...",
"compiled": "...",
"schema": {...},
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-21T14:30:00Z"
}
],
"pagination": {
"limit": 10,
"lastKey": "eyJpZCI6ImMxMjQifQ=="
}
}
Response with Assets
WhenincludeAssets=true:
{
"data": [
{
"id": "c123",
"name": "ArticleLayout",
"type": "layout",
"status": "published",
"assets": [
{
"id": "asset123",
"name": "hero-image.jpg",
"type": "image/jpeg",
"url": "https://cdn.metabind.ai/.../hero-image.jpg",
"size": 2048576,
"status": "active",
"metadata": {
"width": 1920,
"height": 1080
}
}
],
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-21T14:30:00Z"
}
],
"pagination": {...}
}
When
includeAssets=true, only the first 100 assets per component are included.Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/components?status=published&type=layout" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/components?status=published',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const { data, pagination } = await response.json();
⌘I